Page MenuHomePhabricator

[[MediaWiki:Tags-manage-blocked/en]]: Is it the user or the tag which is blocked?
Closed, ResolvedPublic

Description

Is it the user or the tag which is blocked?

URL: https://translatewiki.net/wiki/MediaWiki:Tags-manage-blocked/eo

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 16 2016, 7:36 PM
Aklapper renamed this task from [[MediaWiki:Tags-manage-blocked/eo]] i18n issue to [[MediaWiki:Tags-manage-blocked/en]]: Is the user or the tag blocked?.May 17 2016, 2:19 PM
Aklapper removed a project: Documentation.

(Removing Documentation as this seems to be a UI string.)

Psychoslave renamed this task from [[MediaWiki:Tags-manage-blocked/en]]: Is the user or the tag blocked? to [[MediaWiki:Tags-manage-blocked/en]]: Is it the user or the tag which is blocked?.May 18 2016, 9:10 AM
Psychoslave updated the task description. (Show Details)May 18 2016, 9:29 AM
		if ( !is_null( $user ) ) {
			if ( !$user->isAllowed( 'managechangetags' ) ) {
				return Status::newFatal( 'tags-manage-no-permission' );
			} elseif ( $user->isBlocked() ) {
				return Status::newFatal( 'tags-manage-blocked' );
			}
		}

Change 320112 had a related patch set uploaded (by Nemo bis):
Clarify "while blocked" where something else could be "blocked" too

https://gerrit.wikimedia.org/r/320112

Tags can't literally be "blocked", but the user is not required to know this jargon, hence my proposed change to the English message.

matmarex closed this task as Resolved.Nov 8 2016, 9:15 PM
matmarex assigned this task to Nemo_bis.
matmarex removed a project: Patch-For-Review.

Change 320112 merged by jenkins-bot:
Clarify "while blocked" where something else could be "blocked" too

https://gerrit.wikimedia.org/r/320112